Skip to content

Get folder ZIP file

GET
/zip-file/f/{id}
curl --request GET \
--url https://api.colourbox.com/zip-file/f/example

Poll the state of a ZIP job started with POST /folder/:id/zip-file. The path is /zip-file/ followed by the job_id, slash included.

id
required
string

The part of the job_id after f/

The state of the ZIP job

Media typeapplication/json
object
job_id

Used to poll the status of the zip file

string
state
string
Allowed values: PENDING DONE
url

GET this URL to retrieve the zip file, once state is DONE

string
nullable
valid_until

UNIX timestamp

integer
nullable

Example

{
"state": "PENDING"
}

There is no ZIP job with that id, or it has expired